activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher L. Shannon (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (AMQ-5978) ActiveMQ 5.12.0 Spring CustomScopeConfigurer class conflict
Date Tue, 22 Sep 2015 19:14:05 GMT

    [ https://issues.apache.org/jira/browse/AMQ-5978?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14903247#comment-14903247
] 

Christopher L. Shannon edited comment on AMQ-5978 at 9/22/15 7:13 PM:
----------------------------------------------------------------------

This has already been fixed for 5.13.0.  The method {{addScope}} was added in the Spring Framework
in version 4.1.1.  The Spring dependency was just updated to 4.1.7.RELEASE in AMQ-5973, with
this commit: https://git-wip-us.apache.org/repos/asf?p=activemq.git;h=ebf27cb

For 5.12.0 you will have to avoid using the activemq-all jar if you want to use a newer version
of Spring and instead use the exact ActiveMQ jars that you need which don't include Spring.


was (Author: christopher.l.shannon):
This has already been fixed for 5.13.0.  The method {{addScope}} was added in the Spring Framework
in version 4.1.1.  The Spring dependency was just updated to 4.1.7.RELEASE in AMQ-5973, with
this commit: https://git-wip-us.apache.org/repos/asf?p=activemq.git;h=ebf27cb

For 5.12.0 you will have to avoid using the activemq-all jar if you want to use a newer version
of Spring and instead using the exact ActiveMQ jars that you need which don't include Spring.

> ActiveMQ 5.12.0 Spring CustomScopeConfigurer class conflict
> -----------------------------------------------------------
>
>                 Key: AMQ-5978
>                 URL: https://issues.apache.org/jira/browse/AMQ-5978
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.12.0
>            Reporter: Divya Gopalakrishnan
>            Assignee: Christopher L. Shannon
>             Fix For: 5.13.0
>
>
> CustomScopeConfigurer class poses a conflict in a Spring based application when there's
a dependency on activemq-all (5.12.0)
> The spring class packaged inside of activemq-all.jar conflicts with the application's
Spring dependency. The method "addScope(String, Session)" is NOT found and is causing runtime
errors.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message